import { openBlock as u, createElementBlock as p, renderSlot as v, defineComponent as I, reactive as A, normalizeClass as l, createElementVNode as f, createVNode as q, Transition as Z, withCtx as Y, withDirectives as ee, vShow as te, computed as M, onMounted as W, normalizeStyle as R, createCommentVNode as T, ref as z, watch as V, createTextVNode as x, toDisplayString as N, Fragment as O, renderList as Q, withKeys as X, withModifiers as G, resolveComponent as se } from "vue";
const j = (o, t) => {
  const s = o.__vccOpts || o;
  for (const [d, a] of t)
    s[d] = a;
  return s;
}, ae = {
  name: "C2Accordion"
}, ne = { class: "c2-accordion" };
function oe(o, t, s, d, a, e) {
  return u(), p("section", ne, [
    v(o.$slots, "title"),
    v(o.$slots, "desc"),
    v(o.$slots, "items")
  ]);
}
const le = /* @__PURE__ */ j(ae, [["render", oe]]), ie = ["disabled"], re = /* @__PURE__ */ I({
  __name: "c2-accordion-item",
  props: {
    allowOneOpenPanel: { type: Boolean },
    buttonClasses: {},
    isDisabled: { type: Boolean },
    isOpen: { type: Boolean },
    panelClasses: {}
  },
  emits: ["toggle"],
  setup(o, { emit: t }) {
    const s = t, a = A({
      visible: o.isOpen
    });
    function e(h) {
      h.style.height = "";
    }
    function i(h) {
      h.style.height = "0px";
    }
    function g(h) {
      h.style.height = h.scrollHeight + "px";
    }
    function r(h) {
      h.style.height = "";
    }
    function k(h) {
      h.style.height = h.scrollHeight + "px";
    }
    function C() {
      a.visible = !a.visible, s("toggle");
    }
    return (h, m) => (u(), p("div", {
      class: l(["c2-accordion-item", [
        {
          active: a.visible,
          "item-disabled": h.isDisabled,
          "item-active": a.visible
        }
      ]])
    }, [
      f("button", {
        class: l(["accordion-toggle-button", h.buttonClasses]),
        disabled: h.isDisabled,
        onClick: C
      }, [
        v(h.$slots, "button")
      ], 10, ie),
      q(Z, {
        name: "accordion",
        onEnter: g,
        onAfterEnter: e,
        onAfterLeave: r,
        onBeforeEnter: i,
        onBeforeLeave: k
      }, {
        default: Y(() => [
          ee(f("div", {
            class: l(["accordion-content", h.panelClasses])
          }, [
            v(h.$slots, "content")
          ], 2), [
            [te, a.visible]
          ])
        ]),
        _: 3
      })
    ], 2));
  }
}), de = ["srcset", "media"], ce = ["src", "alt", "loading", "height", "width"], ue = /* @__PURE__ */ I({
  __name: "c2-image",
  props: {
    dontLazyLoad: { type: Boolean },
    height: {},
    width: {},
    aspectRatio: {},
    aspectRatioMobile: {},
    alt: {},
    src: {},
    mobileSrc: {},
    imageClasses: {},
    imageFit: {},
    mediaBreakpoint: {}
  },
  setup(o) {
    const t = o, s = A({
      isMobile: null,
      currentAspectRatio: t.aspectRatio,
      lazyLoadOption: t.dontLazyLoad ? "auto" : "lazy"
    }), d = M(() => ({
      "--c2ImageAspectRatio": s.currentAspectRatio,
      "--c2ImageObjectFit": t.imageFit
    }));
    function a() {
      window.matchMedia(`(max-width: ${t.mediaBreakpoint}`).matches ? s.currentAspectRatio = t.aspectRatioMobile : s.currentAspectRatio = t.aspectRatio;
    }
    return W(() => {
      t.mobileSrc && (a(), window.addEventListener("resize", () => {
        a();
      }));
    }), (e, i) => (u(), p("picture", {
      class: "c2-image",
      style: R(d.value)
    }, [
      e.mobileSrc ? (u(), p("source", {
        key: 0,
        srcset: e.mobileSrc,
        media: `(max-width: ${this.mediaBreakpoint}`
      }, null, 8, de)) : T("", !0),
      f("img", {
        src: e.src,
        alt: e.alt,
        loading: s.lazyLoadOption,
        height: e.height,
        width: e.width,
        class: l(e.imageClasses)
      }, null, 10, ce)
    ], 4));
  }
}), pe = ["onClick"], he = { class: "sr-only" }, me = ["disabled"], fe = ["disabled"], be = /* @__PURE__ */ I({
  __name: "c2-slider",
  props: {
    activeButtonClasses: {},
    buttonClasses: {},
    buttonNavWrapperClasses: {},
    showButtonNav: { type: Boolean },
    showNextPrevBtns: { type: Boolean },
    nextBtnClasses: {},
    prevBtnClasses: {},
    navClasses: {},
    indicatorClasses: {},
    slideSpeed: {},
    slidesToShow: {},
    slidesToShowMobile: {},
    slidesToShowTablet: {},
    gutter: {},
    showIndicators: { type: Boolean },
    showOverflow: { type: Boolean },
    mediaTabletQuery: {},
    mediaMobileQuery: {},
    sliderWrapperClasses: {},
    sliderClasses: {},
    slideTotal: {}
  },
  setup(o) {
    const t = o, s = z(), d = M(() => t.mediaTabletQuery ? t.mediaTabletQuery : 1023), a = M(() => t.mediaMobileQuery ? t.mediaMobileQuery : 639), e = A({
      currentMedia: "desktop",
      currentSlide: 1,
      dataSlidesToShow: 0,
      //TODO: changed to 0, was null
      disableNext: !0,
      disablePrevious: !1,
      hideNavigation: !1,
      index: t.slidesToShow,
      media: {
        tabletQuery: `(max-width: ${d.value}px)`,
        mobileQuery: `(max-width: ${a.value}px)`
      },
      totalSlides: 0,
      translateValue: 0,
      vars: {},
      fullWidth: 100,
      minimumSlides: 2
    }), i = M(() => ({
      transform: `translateX(${e.translateValue}%)`
    }));
    V(
      () => e.currentMedia,
      () => {
        J();
      }
    ), V(
      () => e.hideNavigation,
      () => {
        $();
      }
    ), V(
      () => e.index,
      () => {
        c(e.index);
      }
    ), W(() => {
      r(), U();
      let n = window.innerWidth;
      window.addEventListener("resize", () => {
        n !== window.innerWidth && (n = window.innerWidth, r());
      }), !t.slidesToShowTablet && t.slidesToShowMobile;
    });
    function g(n) {
      return n === e.currentSlide ? `${t.buttonClasses} ${t.activeButtonClasses}` : t.buttonClasses;
    }
    function r() {
      S(), k(), C(), $(), c(e.index);
    }
    function k() {
      e.vars = {
        /* passing variable to scss */
        "--c2rowGutter": `-${Math.abs(t.gutter)}px`,
        "--c2SlideWidth": `${h()}%`,
        "--c2SlideGutter": `${Math.abs(t.gutter)}px`,
        "--c2SlideSpeed": `${t.slideSpeed}ms`,
        "--c2SlideSliderWidth": `${m()}%`
      };
    }
    function C() {
      e.totalSlides = Math.ceil(m() / e.fullWidth);
    }
    function h() {
      return t.slideTotal === 0 ? 0 : e.fullWidth / t.slideTotal;
    }
    function m() {
      return e.fullWidth / e.dataSlidesToShow * t.slideTotal;
    }
    function y(n) {
      const b = m() / e.fullWidth, w = e.fullWidth / b, P = b % 1 * w;
      return $(), b % 1 === 0 ? w : n === "prev" && e.currentSlide + 1 > b || n === "next" && e.currentSlide > b ? P : w;
    }
    function c(n) {
      e.disablePrevious = n === e.dataSlidesToShow, e.disableNext = n >= t.slideTotal;
    }
    function $() {
      e.hideNavigation = e.totalSlides < e.minimumSlides;
    }
    function S() {
      window.matchMedia(e.media.mobileQuery).matches ? B() : window.matchMedia(e.media.tabletQuery).matches ? _() : L();
    }
    function L() {
      e.currentMedia = "desktop", e.dataSlidesToShow = t.slidesToShow, e.index = t.slidesToShow;
    }
    function B() {
      if (e.currentMedia = "mobile", !t.slidesToShowMobile && t.slidesToShowTablet) {
        _();
        return;
      } else if (!t.slidesToShowMobile) {
        L();
        return;
      }
      e.dataSlidesToShow = t.slidesToShowMobile, e.index = t.slidesToShowMobile;
    }
    function _() {
      if (e.currentMedia = "tablet", !t.slidesToShowTablet) {
        L();
        return;
      }
      e.dataSlidesToShow = t.slidesToShowTablet, e.index = t.slidesToShowTablet;
    }
    function D(n) {
      let b = {
        x: Math.abs(n.x.end - n.x.start),
        y: Math.abs(n.y.end - n.y.start)
      };
      b.x > b.y && (n.x.end < n.x.start && H(), n.x.end >= n.x.start && K());
    }
    function F(n) {
      let b, w;
      e.currentSlide < n ? (w = "next", b = n - e.currentSlide) : e.currentSlide > n && (w = "prev", b = e.currentSlide - n), b && w && E(b, w);
    }
    function E(n, b) {
      let w = 0;
      for (let P = 0; P < n; P++)
        b === "prev" ? (e.currentSlide--, w += y("prev"), e.index -= e.dataSlidesToShow) : (e.currentSlide++, w += y("next"), e.index += e.dataSlidesToShow);
      b === "prev" ? e.translateValue += w : e.translateValue -= w;
    }
    function H() {
      e.index >= t.slideTotal || (e.currentSlide++, e.translateValue -= y("next"), e.index += e.dataSlidesToShow);
    }
    function K() {
      e.index <= e.dataSlidesToShow || (e.currentSlide--, e.translateValue += y("prev"), e.index -= e.dataSlidesToShow);
    }
    function J() {
      e.translateValue = 0, e.currentSlide = 1, r();
    }
    function U() {
      let n = {
        x: {
          start: 0,
          end: 0
        },
        y: {
          start: 0,
          end: 0
        }
      };
      s.value.addEventListener(
        "touchstart",
        (b) => {
          n.x.start = b.changedTouches[0].screenX, n.y.start = b.changedTouches[0].screenY;
        },
        !1
      ), s.value.addEventListener(
        "touchend",
        (b) => {
          n.x.end = b.changedTouches[0].screenX, n.y.end = b.changedTouches[0].screenY, D(n);
        },
        !1
      );
    }
    return (n, b) => (u(), p("section", {
      class: "c2-slider-component",
      style: R(e.vars)
    }, [
      f("div", {
        class: l(["c2-slider-wrapper", [{ "show-overflow": n.showOverflow }, n.sliderWrapperClasses]])
      }, [
        f("div", {
          ref_key: "slider",
          ref: s,
          class: l(["c2-slider", n.sliderClasses]),
          style: R(i.value)
        }, [
          v(n.$slots, "slide")
        ], 6)
      ], 2),
      e.hideNavigation ? T("", !0) : (u(), p("nav", {
        key: 0,
        "aria-label": "Slider Arrows",
        class: l(n.navClasses)
      }, [
        n.showIndicators ? (u(), p("div", {
          key: 0,
          class: l(n.indicatorClasses)
        }, [
          x(N(e.currentSlide) + " ", 1),
          v(n.$slots, "indicator-divider"),
          x(" " + N(e.totalSlides), 1)
        ], 2)) : T("", !0),
        t.showButtonNav && e.totalSlides > 0 ? (u(), p("div", {
          key: 1,
          class: l(n.buttonNavWrapperClasses)
        }, [
          (u(!0), p(O, null, Q(e.totalSlides, (w) => (u(), p("button", {
            key: w,
            onClick: (P) => F(w),
            class: l(g(w)),
            "aria-label": "Slide Selector"
          }, [
            f("span", he, "Move to slide " + N(w), 1)
          ], 10, pe))), 128))
        ], 2)) : T("", !0),
        n.showNextPrevBtns ? (u(), p("button", {
          key: 2,
          class: l(n.prevBtnClasses),
          disabled: e.disablePrevious,
          onClick: K,
          "aria-label": "Previous Slide Selector"
        }, [
          v(n.$slots, "prev-btn")
        ], 10, me)) : T("", !0),
        n.showNextPrevBtns ? (u(), p("button", {
          key: 3,
          class: l(n.nextBtnClasses),
          disabled: e.disableNext,
          onClick: H,
          "aria-label": "Next Slide Selector"
        }, [
          v(n.$slots, "next-btn")
        ], 10, fe)) : T("", !0)
      ], 2))
    ], 4));
  }
}), ve = { class: "relative" }, Ce = ["aria-expanded"], ge = ["aria-label"], ye = ["tabindex", "onClick", "onKeydown"], Se = /* @__PURE__ */ I({
  __name: "c2-dropdown-menu",
  props: {
    options: {},
    defaultSelectedIndex: {},
    menuAriaLabel: {},
    alignMenuRight: { type: Boolean },
    closeOnSelect: { type: Boolean },
    buttonClasses: {},
    listClasses: {},
    listItemClasses: {},
    btnListItemClasses: {}
  },
  setup(o) {
    const t = o, s = A({
      isOpen: !1,
      tabIndex: -1,
      activeIndex: t.defaultSelectedIndex ?? -1,
      activeItem: {}
    }), d = () => {
      s.isOpen = !s.isOpen;
    }, a = () => {
      s.isOpen = !1;
    }, e = (r, k) => {
      s.activeItem = r, t.closeOnSelect && d();
    }, i = () => {
      document.addEventListener("keydown", (r) => {
        r.code === "Escape" && a();
      });
    }, g = () => {
      if (s.activeIndex > -1 && t.options && t.options.length > 0) {
        const r = t.options.findIndex(
          (k, C) => C === s.activeIndex
        );
        console.log("item index ", r), r > -1 && e(t.options[r]);
      }
    };
    return W(() => {
      g(), i();
    }), (r, k) => (u(), p("div", ve, [
      f("button", {
        onClick: d,
        class: l([r.buttonClasses, { "is-open": s.isOpen }]),
        "aria-haspopup": "true",
        "aria-expanded": s.isOpen ? "true" : "false"
      }, [
        v(r.$slots, "buttonText")
      ], 10, Ce),
      f("ul", {
        class: l(["absolute z-10 top-full list-none transition-all duration-300 ease-in-out", [
          r.listClasses,
          r.alignMenuRight ? "right-0" : "left-0",
          s.isOpen ? "opacity-1 visible translate-x-0 translate-y-0" : "opacity-0 invisible translate-x-0 -translate-y-4"
        ]]),
        role: "menu",
        "aria-label": r.menuAriaLabel
      }, [
        (u(!0), p(O, null, Q(r.options, (C, h) => (u(), p("li", {
          key: h,
          class: l([r.listItemClasses, { hidden: h === s.activeIndex }])
        }, [
          f("button", {
            class: l(r.btnListItemClasses),
            tabindex: s.isOpen ? 0 : -1,
            onClick: (m) => e(C),
            onKeydown: [
              X(G((m) => e(C), ["prevent"]), ["enter"]),
              X(G((m) => e(C), ["prevent"]), ["space"])
            ]
          }, [
            v(r.$slots, "listButtonText")
          ], 42, ye)
        ], 2))), 128))
      ], 10, ge)
    ]));
  }
}), we = {
  key: 0,
  class: "c2-site-alert"
}, $e = /* @__PURE__ */ I({
  __name: "c2-site-alert",
  props: {
    alertActive: { type: Boolean },
    closeBtnClasses: {}
  },
  emits: ["close-site-alert"],
  setup(o, { emit: t }) {
    const s = o, d = t, a = A({
      alertOpen: s.alertActive
    });
    function e() {
      a.alertOpen = !1, d("close-site-alert");
    }
    return V(
      () => s.alertActive,
      () => {
        a.alertOpen = s.alertActive;
      }
    ), (i, g) => a.alertOpen ? (u(), p("section", we, [
      v(i.$slots, "default"),
      f("button", {
        class: l(i.closeBtnClasses),
        onClick: e
      }, [
        v(i.$slots, "close-btn")
      ], 2)
    ])) : T("", !0);
  }
}), ke = {};
function Te(o, t) {
  return u(), p("ul", null, [
    v(o.$slots, "default")
  ]);
}
const Be = /* @__PURE__ */ j(ke, [["render", Te]]), _e = ["aria-current"], Me = /* @__PURE__ */ I({
  __name: "c2-breadcrumb-item",
  props: {
    isCurrent: { type: Boolean },
    href: {},
    target: { type: Boolean }
  },
  setup(o) {
    return (t, s) => {
      const d = se("router-link");
      return u(), p("li", {
        class: l({ current: t.isCurrent }),
        "aria-current": t.isCurrent ? "page" : void 0
      }, [
        t.isCurrent ? v(t.$slots, "content", { key: 1 }) : (u(), p(O, { key: 0 }, [
          q(d, {
            to: t.href,
            target: t.target
          }, {
            default: Y(() => [
              v(t.$slots, "content")
            ]),
            _: 3
          }, 8, ["to", "target"]),
          v(t.$slots, "divider")
        ], 64))
      ], 10, _e);
    };
  }
}), Ie = {
  key: 0,
  class: "c2-pagination",
  "aria-label": "Pagination"
}, Ve = ["disabled"], Ae = ["aria-label"], Le = ["onClick", "disabled", "aria-label", "aria-current"], Pe = /* @__PURE__ */ f("span", { class: "sr-only" }, "Go to page", -1), Oe = ["disabled"], We = /* @__PURE__ */ I({
  __name: "c2-pagination",
  props: {
    activePageNumberBtnClasses: {},
    currentPage: {},
    maxPagesVisible: {},
    totalPages: {},
    previousBtnClasses: {},
    listClasses: {},
    listItemClasses: {},
    pageNumberBtnClasses: {},
    nextBtnClasses: {}
  },
  emits: ["change"],
  setup(o, { emit: t }) {
    const s = o, d = t, a = A({
      pageCount: 1,
      pageValue: 1,
      showLastVisiblePage: !1
    }), e = M(() => a.pageValue >= a.pageCount), i = M(() => a.pageValue <= 1), g = M(() => r(a.pageValue, a.pageCount, s.maxPagesVisible));
    V(
      () => a.pageValue,
      () => k(s.currentPage, s.totalPages)
    ), V(
      () => a.pageValue,
      () => {
        y();
      }
    ), V(
      () => s.totalPages,
      () => {
        a.pageValue = 1, a.pageCount = s.totalPages;
      }
    );
    function r(c, $, S) {
      let B = 1, _ = 1;
      if ($ <= S)
        return B = 1, _ = $, Array.from(Array(_ + 1 - B).keys()).map(
          (E) => B + E
        );
      const D = Math.floor(S / 2), F = Math.ceil(S / 2) - 1;
      return c <= D ? (S === 2 ? B = c : B = 1, _ = S) : c + F >= $ ? (B = $ - S + 1, _ = $) : S === 2 ? (B = c, _ = c + 1) : (B = c - D, _ = c + F), Array.from(Array(_ + 1 - B).keys()).map(
        (E) => B + E
      );
    }
    function k(c, $) {
      return c < 1 ? 1 : c > $ ? $ : c;
    }
    function C(c) {
      a.pageValue = parseInt(c, 10), d("change", a.pageValue);
    }
    function h() {
      a.pageValue <= a.pageCount && (a.pageValue++, d("change", a.pageValue));
    }
    function m() {
      a.pageValue >= 1 && (a.pageValue--, d("change", a.pageValue));
    }
    function y() {
      g.value.includes(s.totalPages) ? a.showLastVisiblePage = !1 : a.showLastVisiblePage = !0;
    }
    return W(() => {
      a.pageValue = k(
        s.currentPage,
        s.totalPages
      ), a.pageCount = s.totalPages, y();
    }), (c, $) => c.totalPages > 1 ? (u(), p("nav", Ie, [
      f("button", {
        class: l(c.previousBtnClasses),
        onClick: m,
        disabled: i.value
      }, [
        v(c.$slots, "previous-page-btn")
      ], 10, Ve),
      f("ul", {
        class: l(c.listClasses)
      }, [
        (u(!0), p(O, null, Q(g.value, (S, L) => (u(), p("li", {
          key: `pageNum-${L}`,
          class: l(c.listItemClasses),
          "aria-label": `Page ${S}`
        }, [
          f("button", {
            onClick: (B) => C(S),
            class: l([
              a.pageValue === S ? c.activePageNumberBtnClasses : null,
              c.pageNumberBtnClasses
            ]),
            disabled: a.pageValue === S,
            "aria-label": `Page ${S}`,
            "aria-current": a.pageValue === S ? "page" : !1
          }, [
            Pe,
            x(" " + N(S), 1)
          ], 10, Le)
        ], 10, Ae))), 128)),
        a.showLastVisiblePage ? (u(), p(O, { key: 0 }, [
          f("li", {
            class: l(c.listItemClasses)
          }, "...", 2),
          f("li", {
            class: l(c.listItemClasses)
          }, [
            f("button", {
              onClick: $[0] || ($[0] = (S) => C(c.totalPages)),
              class: l(c.pageNumberBtnClasses)
            }, N(c.totalPages), 3)
          ], 2)
        ], 64)) : T("", !0)
      ], 2),
      f("button", {
        class: l(c.nextBtnClasses),
        onClick: h,
        disabled: e.value
      }, [
        v(c.$slots, "next-page-btn")
      ], 10, Oe)
    ])) : T("", !0);
  }
}), Ee = ["title", "src"], Ne = /* @__PURE__ */ I({
  __name: "c2-video",
  props: {
    aspectRatio: {},
    videoSrc: {},
    videoTitle: {}
  },
  setup(o) {
    const t = o, s = M(() => ({
      "--c2VideoAspectRatio": t.aspectRatio
    }));
    return (d, a) => (u(), p("div", {
      class: "c2-video",
      style: R(s.value)
    }, [
      f("iframe", {
        title: d.videoTitle,
        src: d.videoSrc,
        frameborder: "0",
        allow: "accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture",
        allowfullscreen: ""
      }, `
    `, 8, Ee)
    ], 4));
  }
}), Re = ["onClick"], De = ["aria-hidden"], Fe = /* @__PURE__ */ I({
  __name: "c2-modal",
  props: {
    backgroundOverlayColor: {},
    backgroundColor: {},
    closeBtnClasses: {},
    openBtnClasses: {},
    wrapperClasses: {},
    headerClasses: {},
    maxWidth: {},
    hideOpenBtn: { type: Boolean }
  },
  emits: ["modalOpened", "modalClosed"],
  setup(o, { expose: t, emit: s }) {
    t({
      openModal: k,
      closeModal: C
    });
    const d = A({
      open: !1,
      tabIndex: 0
    }), a = o, e = s, i = z(null), g = z(null);
    function r() {
      const m = this;
      document.addEventListener("keydown", function(y) {
        if (m.open) {
          const c = y.key === "Tab" || y.keyCode === 9;
          if (y.keyCode === 27) {
            m.closeModal();
            return;
          }
          if (!c)
            return;
          y.shiftKey && document.activeElement === i && (i.focus(), y.preventDefault()), g.contains(document.activeElement) && (i.focus(), y.preventDefault());
        }
      });
    }
    function k() {
      var m;
      d.open = !0, d.tabIndex = 0, e("modalOpened"), (m = i.value) == null || m.focus();
    }
    function C() {
      d.open = !1, d.tabIndex = -1, e("modalClosed");
    }
    const h = M(() => ({
      "--c2ModalBackgroundOverlayColor": a.backgroundOverlayColor,
      "--c2ModalBackgroundColor": a.backgroundColor,
      "--c2ModalMaxWidth": `${Math.abs(a.maxWidth)}px`
    }));
    return V(
      () => d.open,
      () => {
        var m, y;
        d.open ? (m = document.querySelector("body")) == null || m.classList.add("overflow-hidden", "max-h-screen") : (y = document.querySelector("body")) == null || y.classList.remove("overflow-hidden", "max-h-screen");
      }
    ), W(() => {
      r();
    }), (m, y) => (u(), p("div", {
      class: "c2-modal",
      style: R(h.value)
    }, [
      m.hideOpenBtn ? T("", !0) : (u(), p("button", {
        key: 0,
        class: l(m.openBtnClasses),
        onClick: G(k, ["prevent"])
      }, [
        v(m.$slots, "open-btn")
      ], 10, Re)),
      f("div", {
        class: l(["overlay", { open: d.open }])
      }, null, 2),
      f("div", {
        ref_key: "modalWrapper",
        ref: g,
        class: l(["modal-wrapper", [{ open: d.open }, m.wrapperClasses]]),
        "aria-hidden": !d.open
      }, [
        f("div", {
          class: l(m.headerClasses)
        }, [
          v(m.$slots, "header")
        ], 2),
        v(m.$slots, "body")
      ], 10, De)
    ], 4));
  }
}), Qe = ["onClick"], ze = ["src", "alt"], xe = ["src", "alt"], Ge = ["autoplay"], He = ["src", "type"], Ke = /* @__PURE__ */ I({
  __name: "c2-product-gallery",
  props: {
    thumbnails: {},
    autoplayVideos: { type: Boolean },
    aspectRatio: {},
    thumbnailWrapperClasses: {},
    thumbnailListClasses: {},
    thumbnailItemClasses: {},
    thumbnailBtnClasses: {},
    featuredWrapperClasses: {},
    featuredImageClasses: {},
    featuredVideoClasses: {},
    playIconClasses: {},
    thumbnailImageClasses: {}
  },
  setup(o) {
    const t = o, s = A({
      activeIndex: 0,
      featuredAlt: null,
      featuredSrc: null,
      isVideo: !1,
      type: null
    }), d = M(() => ({
      "--c2ProductGalleryAspectRatio": t.aspectRatio
    }));
    function a(i, g, r) {
      r ? (s.type = r, s.isVideo = !0, s.featuredSrc = i, s.featuredAlt = null) : (s.type = null, s.isVideo = !1, s.featuredSrc = i, s.featuredAlt = g);
    }
    function e(i) {
      s.activeIndex = i;
    }
    return W(() => {
      var i, g, r;
      t.thumbnails && t.thumbnails.length > 0 && a(
        (i = t.thumbnails[0]) == null ? void 0 : i.featuredSrc,
        (g = t.thumbnails[0]) == null ? void 0 : g.featuredAlt,
        (r = t.thumbnails[0]) == null ? void 0 : r.type
      );
    }), (i, g) => {
      var r, k;
      return ((r = t.thumbnails) == null ? void 0 : r.length) > 0 ? (u(), p("div", {
        key: 0,
        class: l(["c2-product-gallery", d.value])
      }, [
        f("div", {
          class: l(["thumbnails-wrapper", i.thumbnailWrapperClasses])
        }, [
          ((k = t.thumbnails) == null ? void 0 : k.length) > 1 ? (u(), p("ul", {
            key: 0,
            class: l(["thumbnails-list", i.thumbnailListClasses])
          }, [
            (u(!0), p(O, null, Q(i.thumbnails, (C, h) => (u(), p("li", {
              key: h,
              class: l(i.thumbnailItemClasses)
            }, [
              f("button", {
                class: l([
                  { active: h === s.activeIndex },
                  i.thumbnailBtnClasses
                ]),
                onClick: (m) => {
                  a(C.featuredSrc, C.alt, C.type), e(h);
                }
              }, [
                C.type ? (u(), p("span", {
                  key: 0,
                  class: l(i.playIconClasses)
                }, [
                  v(i.$slots, "play-icon")
                ], 2)) : T("", !0),
                f("img", {
                  src: C.thumbnailSrc,
                  alt: C.alt,
                  class: l(i.thumbnailImageClasses)
                }, null, 10, ze)
              ], 10, Qe)
            ], 2))), 128))
          ], 2)) : T("", !0)
        ], 2),
        f("div", {
          class: l(i.featuredWrapperClasses)
        }, [
          s.isVideo ? T("", !0) : (u(), p("img", {
            key: 0,
            class: l(["c2-product-gallery-featured-image", i.featuredImageClasses]),
            src: s.featuredSrc ?? void 0,
            alt: s.featuredAlt ?? void 0
          }, null, 10, xe)),
          s.isVideo ? (u(), p("video", {
            key: 1,
            autoplay: t.autoplayVideos ?? null,
            controls: "",
            class: l(i.featuredVideoClasses)
          }, [
            f("source", {
              src: s.featuredSrc ?? void 0,
              type: `video/${s.type}`
            }, null, 8, He)
          ], 10, Ge)) : T("", !0)
        ], 2)
      ], 2)) : T("", !0);
    };
  }
}), qe = {
  install(o) {
    o.component("C2Accordion", le), o.component("C2AccordionItem", re), o.component("C2Image", ue), o.component("C2Slider", be), o.component("C2DropdownMenu", Se), o.component("C2SiteAlert", $e), o.component("C2Breadcrumbs", Be), o.component("C2Pagination", We), o.component("C2BreadcrumbItem", Me), o.component("C2Video", Ne), o.component("C2Modal", Fe), o.component("C2ProductGallery", Ke);
  }
};
export {
  qe as default
};
