/* eslint-disable import/prefer-default-export */
import C2Accordion from './c2-accordion/c2-accordion.vue';
import C2AccordionItem from './c2-accordion/c2-accordion-item.vue';
import C2Image from './c2-image/c2-image.vue';
import C2Slider from './c2-slider/c2-slider.vue';
import C2HeroBanner from './c2-hero/c2-hero-banner.vue';
import C2BackgroundColorHeroBanner from './c2-hero/_c2-background-color-hero-banner.vue';
import C2ImageHeroBanner from './c2-hero/_c2-image-hero-banner.vue';
import C2DropdownMenu from './c2-dropdown-menu/c2-dropdown-menu.vue';
import C2SiteAlert from './c2-site-alert/c2-site-alert.vue';
import C2Breadcrumbs from './c2-breadcrumbs/c2-breadcrumbs.vue';
import C2BreadcrumbItem from './c2-breadcrumbs/c2-breadcrumb-item.vue';
import C2Pagination from './c2-pagination/c2-pagination.vue';
import C2Video from './c2-video/c2-video.vue';
import C2Modal from './c2-modal/c2-modal.vue';
import C2ProductGallery from './c2-product-gallery/c2-product-gallery.vue';

// Other components you plan to publish go here

export default {
    install (Vue) {
      Vue.component('C2Accordion', C2Accordion)
      Vue.component('C2AccordionItem', C2AccordionItem)
      Vue.component('C2Image', C2Image)
      Vue.component('C2Slider', C2Slider)
      Vue.component('C2HeroBanner', C2HeroBanner)
      Vue.component('C2BackgroundColorHeroBanner', C2BackgroundColorHeroBanner)
      Vue.component('C2ImageHeroBanner', C2ImageHeroBanner)
      Vue.component('C2DropdownMenu', C2DropdownMenu)
      Vue.component('C2SiteAlert', C2SiteAlert)
      Vue.component('C2Breadcrumbs', C2Breadcrumbs)
      Vue.component('C2Pagination', C2Pagination)
      Vue.component('C2BreadcrumbItem', C2BreadcrumbItem)
      Vue.component('C2Video', C2Video)
      Vue.component('C2Modal', C2Modal)
      Vue.component('C2ProductGallery', C2ProductGallery)
    }
}