import debounce from './debounce'

export const C2Debounce = {
    name: 'debounce',
    mounted(el, binding) {
        const timer = binding.arg;
        const debouncedFn = binding.value;

        el.oninput = debounce(({ target }) => {
            debouncedFn(target.value)
        }, timer)
    }
}

export default C2Debounce;