const body = document.getElementsByTagName('body')[0];

const toggleScrollLock = (locked) => {

    if (locked) {
        body.style.overflow = 'hidden';
    } else {
        body.style.overflow = '';
    }
}

export const C2ScrollLock = {
    name: 'scroll-lock',
    mounted:  (el, binding) => toggleScrollLock(binding.value),
    unmounted:  () => toggleScrollLock()
};

export default C2ScrollLock;