import { createWebHistory, createRouter } from 'vue-router';
import ExamplesPlayground from '../views/ExamplesPlayground.vue';
import Playground from '../views/Playground.vue';

const routes = [
  {
    path: '/',
    component: ExamplesPlayground
  },
  {
    path: '/playground/',
    name: 'playground',
    component: Playground,
  },
];

const router = createRouter({
  history: createWebHistory(),
  routes,
});

export default router;