# C2 Video
Created to handle YouTube embed video with aspect ratio

### Props
| Props         | Type      | Required  |
| ------------- | --------- | --------- |
| aspectRatio   | String    |           |
| videoSrc      | String    | true      |
| videoTitle    | String    |           |

### Code snippet
```
    <c2-video
        :aspect-ratio="aspectRatio"
        :video-src="`https://www.youtube.com/embed/${model.viewModel.videoId}`"
        :video-title="model.viewModel.heading"
    />
```
