/* eslint-disable import/prefer-default-export */

import C2ClickOutside from './c2-click-outside/';
import C2Debounce from './c2-debounce/';
import C2Resize from './c2-resize/';
import C2Scroll from './c2-scroll/';
import C2ScrollTo from './c2-scrollTo/';
import C2ScrollLock from './c2-scroll-lock/';
import C2Touch from './c2-touch/';

export default {
    install (Vue) {
      Vue.directive('click-outside', C2ClickOutside)
      Vue.directive('debounce', C2Debounce)
      Vue.directive('resize', C2Resize)
      Vue.directive('scroll', C2Scroll)
      Vue.directive('scrollTo', C2ScrollTo)
      Vue.directive('scoll-lock', C2ScrollLock)
      Vue.directive('touch', C2Touch)
    }
}