import { createApp } from 'vue';
import router from './router';
import App from './App.vue';
import './assets/index.css';
import directives from './directives'
import components from './components'

const app = createApp(App);

app.use(directives);
app.use(components);

app.use(router).mount('#app');
